# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
Puppet::Functions.create_function('ora_config::on_sid') do
  dispatch :on_sid do
    param 'Variant[Array, Undef]', :values
    param 'String', :select_sid
  end

  def on_sid(values, select_sid)
    return [] if values.nil?

    # rubocop: disable Performance/MapCompact
    # Puppet server is still pre ruby 2.7
    values.collect { |e| e['sid'] == select_sid ? e['name'] : nil }.compact
    # rubocop: enable Performance/MapCompact
  end
end
